## ros-galactic-image-view 2.2.1

=== debian/changelog ===
ros-galactic-image-view (2.2.1-3focal) focal; urgency=high

  * remove email blasts from steve macenski (#596 <https://github.com/ros-perception/image_pipeline/issues/596>)
  * [Foxy] Use ament_auto Macros (#573 <https://github.com/ros-perception/image_pipeline/issues/573>)
  * Contributors: Joshua Whitley, Steve Macenski

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Thu, 27 Aug 2020 07:00:00 -0000

ros-galactic-image-view (2.2.0-3focal) focal; urgency=high

  * Replacing deprecated header includes with new HPP versions. (#566 <https://github.com/ros-perception/image_pipeline/issues/566>)
  * Opencv 3 compatibility (#564 <https://github.com/ros-perception/image_pipeline/issues/564>)
    * Remove GTK from image_view.
    * Reinstate OpenCV 3 compatibility.
  * Use newer 'add_on_set_parameters_callback' API (#562 <https://github.com/ros-perception/image_pipeline/issues/562>)
    The old API was deprecated in Foxy and since removed in https://github.com/ros2/rclcpp/pull/1199.
  * Contributors: Chris Lalancette, Jacob Perron, Joshua Whitley
  * Patch boost failure in image_view (#541 <https://github.com/ros-perception/image_pipeline/issues/541>)
    * Patch boost failure in image_view
    * remove ros2_deps from circle with new releases
    * readd deps
  * Contributors: Steve Macenski
  * Initial ROS2 commit.
  * Contributors: Michael Carroll

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Mon, 27 Jul 2020 07:00:00 -0000

ros-galactic-image-view (1.12.23-3focal) focal; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Thu, 10 May 2018 07:00:00 -0000

ros-galactic-image-view (1.12.22-3focal) focal; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Fri, 08 Dec 2017 08:00:00 -0000

ros-galactic-image-view (1.12.21-3focal) focal; urgency=high

  * call namedWindow from same thread as imshow, need waitKay, now cvStartWindowThreads is null funciton on window_QT.h (#279 <https://github.com/ros-perception/image_pipeline/issues/279>)
  * Contributors: Kei Okada

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 05 Nov 2017 07:00:00 -0000

ros-galactic-image-view (1.12.20-3focal) focal; urgency=high

  * DisparityViewNodelet: fixed freeze (#244 <https://github.com/ros-perception/image_pipeline/issues/244>)
  * launch image view with a predefined window size (#257 <https://github.com/ros-perception/image_pipeline/issues/257>)
  * Remove python-opencv run_depend for image_view (#270 <https://github.com/ros-perception/image_pipeline/issues/270>)
    The python-opencv dependency pulls in the system OpenCV v2.4 which is
    not required since the image_view package depends on cv_bridge which
    pulls in opencv3 and opencv3 provides the python library that
    image_view can use.
  * Fix encoding error message (#253 <https://github.com/ros-perception/image_pipeline/issues/253>)
    * Fix encoding error message
    * Update image_saver.cpp
    Allow compilation on older compilers
  * Including stereo_msgs dep fixes #248 <https://github.com/ros-perception/image_pipeline/issues/248> (#249 <https://github.com/ros-perception/image_pipeline/issues/249>)
  * Add no gui mode to just visualize & publish with image_view (#241 <https://github.com/ros-perception/image_pipeline/issues/241>)
  * stere_view: fixed empty left, right, disparity windows with opencv3
  * Apply value scaling to depth/float image with min/max image value
    If min/max image value is specified we just use it, and if not,
    - 32FC1: we assume depth image with meter metric, and 10[m] as the max range.
    - 16UC1: we assume depth image with milimeter metric, and 10 * 1000[mm] as the max range.
  * Depends on cv_bridge 1.11.13 for CvtColorForDisplayOptions
    Close #238 <https://github.com/ros-perception/image_pipeline/issues/238>
  * fix doc jobs
    This is a proper fix for #233 <https://github.com/ros-perception/image_pipeline/issues/233>
  * address gcc6 build error
    With gcc6, compiling fails with stdlib.h: No such file or directory,
    as including '-isystem /usr/include' breaks with gcc6, cf.,
    https://gcc.gnu.org/bugzilla/show_bug.cgi?id=70129.
    This commit addresses this issue for this package in the same way
    it was addressed in various other ROS packages. A list of related
    commits and pull requests is at:
    https://github.com/ros/rosdistro/issues/12783
    Signed-off-by: Lukas Bulwahn <mailto:lukas.bulwahn@oss.bmw-carit.de>
  * Contributors: Christopher Wecht, Kartik Mohta, Kei Okada, Kentaro Wada, Lukas Bulwahn, Leonard Gerard, Vincent Rabaud, cwecht, mryellow

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 30 Apr 2017 07:00:00 -0000

ros-galactic-image-view (1.12.19-3focal) focal; urgency=high

  * Add colormap option in video_recorder
  * Merge pull request #203 <https://github.com/ros-perception/image_pipeline/issues/203> from wkentaro/video-recorder-timestamp
    [image_view] Stamped video output filename for video recorder
  * bump version requirement for cv_bridge dep
    Closes #215 <https://github.com/ros-perception/image_pipeline/issues/215>
  * Request for saving image with start/end two triggers
  * Stamped video output filename
    - _filename:=output.avi _stamped_filename:=false -> output.avi
    - _filename:=_out.avi _stamped_filename:=true -> 1466299931.584632829_out.avi
    - _filename:=$HOME/.ros/.avi _stamped_filename:=true -> /home/ubuntu/.ros/1466299931.584632829.avi
  * Revert max_depth_range to default value for cvtColorForDisplay
  * Contributors: Kentaro Wada, Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 24 Jul 2016 07:00:00 -0000

ros-galactic-image-view (1.12.18-3focal) focal; urgency=high

  * Use image_transport::Subscriber aside from ros::Subscriber
  * Refactor: Remove subscription of camera_info in video_recorder
  * Add colormap options for displaying image topic
  * Use CvtColorForDisplayOptions for cvtColorForDisplay
  * Contributors: Kentaro Wada, Vincent Rabaud


